Page MenuHomePhabricator

HHVM: not respecting time zone
Closed, ResolvedPublic

Description

User:Dalka reports:
In Russia TZ were changed yesterday. Now if using HHVM, I see incorrectly converted times :( For example: Moscow should be +3:00, but I see +4:00.

(see https://en.wikipedia.org/wiki/Moscow_Time).


Version: unspecified
Severity: normal

Details

Reference
bz72556

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:52 AM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz72556.
bzimport added a subscriber: Unknown Object (MLST).
Elitre created this task.Oct 27 2014, 12:31 PM

(It should be noted that the Time offset in Preferences should probably be fixed anyway, since it says +4? )

hashar set Security to None.

HHVM imports Derick Rethans' timelib from PHP into third-party/timelib, which includes its own bundled timezone DB. This is obviously inconvenient when countries such as Russia announce timezone changes a short time before they take effect. The Debian PHP package has a ~650 line patch to cause PHP to use the system tzdata instead. HHVM apparently has no equivalent.

Joe added a subscriber: Joe.

I have rebuilt our HHVM package adding Tim's patch, and I am installing it on beta now. It should fix this.

Joe added a comment.Jan 12 2015, 12:48 PM

This should be now solved.

Joe closed this task as Resolved.Jan 12 2015, 12:48 PM